

#ifndef __CAMERA_SHADER_VSH__
#define __CAMERA_SHADER_VSH__


#define STRINGIFY(x) #x

static const char vertexShaderSrc[] = STRINGIFY(
    attribute vec4 vertexPosition;
    attribute vec2 vertexTexCoord;
    uniform mat4 projectionMatrix;
    uniform mat4 rotationMatrix;

    varying vec2 texCoord;

    void main()
    {
        gl_Position = projectionMatrix * rotationMatrix * vertexPosition;
        texCoord = vertexTexCoord;
    }
);

#endif  // __CAMERA_SHADER_VSH__
