//
//  Shader.fsh
//  FY_Graphics2D_Test
//
//  Created by David Lareau on 2013-02-26.
//  Copyright (c) 2013 David Lareau. All rights reserved.
//

#ifdef FY_OPENGL_ES_2
precision highp float;
#endif

// in: uniform from app
uniform sampler2D activeTexture;
// in: from vertex shader
varying vec4 x_tintColor;
varying vec2 x_texture;
varying float x_opacity;
varying vec4 x_color;
varying float x_useColor;
varying float x_useGreyScale;
varying vec4 x_overlayColor;

void main(void) {
  // colour from ColoredRects were still getting drawn, so flat colours now get drawn with an alpha of 0 to prevent this
  // fixes the issue happening on Galaxy Nexus phone & Kindle Fire
  vec4 color = x_useColor > 0.5 ? vec4(1.0, 1.0, 1.0, 0.0) : texture2D(activeTexture, x_texture);
  if(color.a == 0.0) {
    discard; // used by stencil buffer draw mode
  }
  else {
    gl_FragColor = color;
  }
}