//
//  Shader.fsh
//  FY_Graphics2D_Test
//
//  Created by David Lareau on 2013-02-26.
//  Copyright (c) 2013 David Lareau. All rights reserved.
//

#ifdef FY_OPENGL_ES_2
precision highp float;
#endif

// in: uniform from app
uniform sampler2D activeTexture;
// in: from vertex shader
varying vec4 x_tintColor;
varying vec2 x_texture;
varying float x_opacity;
varying vec4 x_color;
varying float x_useColor;
varying float x_useGreyScale;
varying vec4 x_overlayColor;

void premultiplyAndApplyTintOnColor(inout vec4 inoutColor, in vec4 inTintColor)
{
  inoutColor.rgb = (inTintColor.rgb * inoutColor.a * inTintColor.a + inoutColor.rgb * (1.0 - inTintColor.a));
}

void main(void) {
  vec4 color = x_color;
  color.rgb *= color.a; // premultiply alpha
  premultiplyAndApplyTintOnColor(color, x_tintColor);
  gl_FragColor = color;
}